Update agent trigger using XanoScript
Update agent trigger using XanoScript
Authentication: required
PUT
/
workspace
/
{workspace_id}
/
agent
/
trigger
/
{trigger_id}
Update agent trigger using XanoScript
curl --request PUT \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/agent/trigger/{trigger_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: text/x-xanoscript' \
--data 'agent_trigger foo {
agent = "my_agent"
input {
object toolset {
schema {
int id
text name
text instructions
}
}
object[] tools {
schema {
int id
text name
text instructions
}
}
}
stack {
var $x1 {
value = 123
}
}
actions = {connection: true}
}
'import requests
url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/agent/trigger/{trigger_id}"
payload = "agent_trigger foo {\n agent = \"my_agent\"\n input {\n object toolset {\n schema {\n int id\n text name\n text instructions\n }\n }\n object[] tools {\n schema {\n int id\n text name\n text instructions\n }\n }\n }\n stack {\n var $x1 {\n value = 123\n }\n }\n actions = {connection: true}\n}\n"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "text/x-xanoscript"
}
response = requests.put(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'text/x-xanoscript'},
body: 'agent_trigger foo {\n agent = "my_agent"\n input {\n object toolset {\n schema {\n int id\n text name\n text instructions\n }\n }\n object[] tools {\n schema {\n int id\n text name\n text instructions\n }\n }\n }\n stack {\n var $x1 {\n value = 123\n }\n }\n actions = {connection: true}\n}\n'
};
fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/agent/trigger/{trigger_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"created_at": "2023-04-19 21:01:32+0000",
"updated_at": "2023-04-19 21:01:32+0000",
"name": "Agent Trigger",
"description": "My agent trigger test description",
"guid": "YE1fwVhQ-enRlc6Sb42Gqru58-0",
"branch": "v1",
"tag": [
"example tag"
],
"actions": {
"connection": true
},
"xanoscript": {
"value": "<string>",
"message": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
text/x-xanoscript
The body is of type string.
Example:
"agent_trigger foo {\n agent = \"my_agent\"\n input {\n object toolset {\n schema {\n int id\n text name\n text instructions\n }\n }\n object[] tools {\n schema {\n int id\n text name\n text instructions\n }\n }\n }\n stack {\n var $x1 {\n value = 123\n }\n }\n actions = {connection: true}\n}\n"
Response
Success!
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
Retrieve an agent trigger by ID
Previous
Delete an agent trigger permanently. This action cannot be undone
Next
⌘I
Update agent trigger using XanoScript
